RemoteCIDRFilter (Apache Tomcat 9.0.117 API Documentation)
Description: declaration: package: org.apache.catalina.filters, class: RemoteCIDRFilter

# Class RemoteCIDRFilter

java.lang.Object
org.apache.catalina.filters.FilterBase
org.apache.catalina.filters.RemoteCIDRFilter

All Implemented Interfaces:
  `Filter`

public final class RemoteCIDRFilter extends FilterBase

- ## Field Summary

  ### Fields inherited from class FilterBase

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoteCIDRFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
  The `doFilter` method of the Filter is called by the container each time a request/response pair is passed through the chain due to a client request for a resource at the end of the chain.
  `String`
  `getAllow()`
  Return a string representation of the `NetMask` list in #allow.
  `String`
  `getDeny()`
  Return a string representation of the `NetMask` list in #deny.
  `Log`
  `getLogger()`
  `protected boolean`
  `isConfigProblemFatal()`
  Determines if an exception when calling a setter or an unknown configuration attribute triggers the failure of this filter which in turn will prevent the web application from starting.
  `void`
  `setAllow(String input)`
  Fill the #allow list with the list of netmasks provided as an argument, if any.
  `void`
  `setDeny(String input)`
  Fill the #deny list with the list of netmasks provided as an argument, if any.

  ### Methods inherited from class FilterBase

  `init`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Filter

  `destroy`

- ## Constructor Details

  - ### RemoteCIDRFilter

    public RemoteCIDRFilter()

- ## Method Details

  - ### getAllow

    public String getAllow()
    Return a string representation of the `NetMask` list in #allow.
    Returns:
      the #allow list as a string, without the leading '[' and trailing ']'

  - ### setAllow

    public void setAllow(String input)
    Fill the #allow list with the list of netmasks provided as an argument, if any. Calls #fillFromInput.
    Parameters:
      `input` - The list of netmasks, as a comma separated string
    Throws:
      `IllegalArgumentException` - One or more netmasks are invalid

  - ### getDeny

    public String getDeny()
    Return a string representation of the `NetMask` list in #deny.
    Returns:
      the #deny list as string, without the leading '[' and trailing ']'

  - ### setDeny

    public void setDeny(String input)
    Fill the #deny list with the list of netmasks provided as an argument, if any. Calls #fillFromInput.
    Parameters:
      `input` - The list of netmasks, as a comma separated string
    Throws:
      `IllegalArgumentException` - One or more netmasks are invalid

  - ### isConfigProblemFatal

    protected boolean isConfigProblemFatal()
    Description copied from class: `FilterBase`
    Determines if an exception when calling a setter or an unknown configuration attribute triggers the failure of this filter which in turn will prevent the web application from starting.
    Overrides:
      `isConfigProblemFatal` in class `FilterBase`
    Returns:
      `true` if a problem should trigger the failure of this filter, else `false`

  - ### doFilter

    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException
    Description copied from interface: `javax.servlet.Filter`
    The `doFilter` method of the Filter is called by the container each time a request/response pair is passed through the chain due to a client request for a resource at the end of the chain. The FilterChain passed in to this method allows the Filter to pass on the request and response to the next entity in the chain.

    A typical implementation of this method would follow the following pattern:-
    1. Examine the request
    2. Optionally wrap the request object with a custom implementation to filter content or headers for input filtering
    3. Optionally wrap the response object with a custom implementation to filter content or headers for output filtering
    4. a) Either invoke the next entity in the chain using the FilterChain object (`chain.doFilter()`),
    4. b) or not pass on the request/response pair to the next entity in the filter chain to block the request processing
    5. Directly set headers on the response after invocation of the next entity in the filter chain.

    Parameters:
      `request` - The request to process
      `response` - The response associated with the request
      `chain` - Provides access to the next filter in the chain for this filter to pass the request and response to for further processing
    Throws:
      `IOException` - if an I/O error occurs during this filter's processing of the request
      `ServletException` - if the processing fails for any other reason

  - ### getLogger

    public Log getLogger()
    Specified by:
      `getLogger` in class `FilterBase`